---
title: GlobalEventHandlers.onblur
slug: Web/API/GlobalEventHandlers/onblur
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>onblur</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("blur")}} events. It's available on {{domxref("Element")}}, {{domxref("Document")}}, and {{domxref("Window")}}.</p>

<p>The <code>blur</code> event is raised when an element loses focus.</p>

<div class="notecard note">
<p><strong>Note:</strong> The opposite of <code>onblur</code> is {{domxref("GlobalEventHandlers.onfocus", "onfocus")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onblur = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("FocusEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>This example uses <code>onblur</code> and {{domxref("GlobalEventHandlers.onfocus", "onfocus")}} to change the text within an {{HtmlElement("input")}} element.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;input type="text" value="CLICK HERE"&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let input = document.querySelector('input');

input.onblur = inputBlur;
input.onfocus = inputFocus;

function inputBlur() {
  input.value = 'Focus has been lost';
}

function inputFocus() {
  input.value = 'Focus is here';
}</pre>

<h3 id="Result_2">Result</h3>

<p>Try clicking in and out of the form field, and watch its contents change accordingly.</p>

<p id="Result">{{EmbedLiveSample('Example')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onblur','onblur')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onblur")}}</p>

<p>In contrast to IE, in which almost all kinds of elements receive the <code>blur</code> event, only a few kinds of elements on Gecko browsers work with this event.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("blur")}} event</li>
 <li>Related event handler: {{domxref("GlobalEventHandlers.onfocus")}}</li>
</ul>
